Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractStatusChangeParameters

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractStatusChangeParameters

public class ContractStatusChangeParameters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusChangeParameters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Integer>`
  `getChangeableStatuses()`
  `Date`
  `getDate()`
  `List<Date>`
  `getDateList()`
  `boolean`
  `isCanCancel()`
  `boolean`
  `isHasFutureChange()`
  `boolean`
  `isHasManyFutureChanges()`
  `void`
  `setCanCancel(boolean canCancel)`
  `void`
  `setChangeableStatuses(Set<Integer> changeableStatuses)`
  `void`
  `setDate(Date date)`
  `void`
  `setDateList(List<Date> dateList)`
  `void`
  `setHasFutureChange(boolean hasFutureChange)`
  `void`
  `setHasManyFutureChanges(boolean hasManyFutureChanges)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractStatusChangeParameters

    public ContractStatusChangeParameters()

- ## Method Details

  - ### getChangeableStatuses

    public Set<Integer> getChangeableStatuses()

  - ### setChangeableStatuses

    public void setChangeableStatuses(Set<Integer> changeableStatuses)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getDateList

    public List<Date> getDateList()

  - ### setDateList

    public void setDateList(List<Date> dateList)

  - ### isHasFutureChange

    public boolean isHasFutureChange()

  - ### setHasFutureChange

    public void setHasFutureChange(boolean hasFutureChange)

  - ### isHasManyFutureChanges

    public boolean isHasManyFutureChanges()

  - ### setHasManyFutureChanges

    public void setHasManyFutureChanges(boolean hasManyFutureChanges)

  - ### isCanCancel

    public boolean isCanCancel()

  - ### setCanCancel

    public void setCanCancel(boolean canCancel)